using Baza_Reklam.Classes.Interfaces;

namespace Baza_Reklam.Classes.Model
{
    public class ProductDetail : IProductDetail
    {
        private int _id;
        private int _productId;
        private decimal _price;
        private decimal _pricePln;
        private decimal _vat;
        private int? _invoiceId;
        private int _year;
        private int _month;

        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        public int ProductId
        {
            get { return _productId; }
            set { _productId = value; }
        }

        public decimal Price
        {
            get { return _price; }
            set { _price = value; }
        }

        public decimal PricePln
        {
            get { return _pricePln; }
            set { _pricePln = value; }
        }

        public decimal Vat
        {
            get { return _vat; }
            set { _vat = value; }
        }

        public int? InvoiceId
        {
            get { return _invoiceId; }
            set { _invoiceId = value; }
        }

        public int Year
        {
            get { return _year; }
            set { _year = value; }
        }

        public int Month
        {
            get { return _month; }
            set { _month = value; }
        }
    }
}